{ ... }:
{
  disko-root-lvm-bios =
    {
      diskName,
      device,
      mbrSize ? "1M",
      bootPartName ? "mbr",
      rootPartName ? "primary",
      volumeGroupName ? "mainpool",
      rootLvName ? "root",
    }:
    {
      devices.disk = {
        "${diskName}" = {
          inherit device;
          type = "disk";
          content = {
            type = "gpt";
            partitions = {
              "${bootPartName}" = {
                size = mbrSize;
                type = "EF02";
              };
              "${rootPartName}" = {
                size = "100%";
                content = {
                  type = "lvm_pv";
                  vg = volumeGroupName;
                };
              };
            };
          };
        };
      };
      devices.lvm_vg = {
        "${volumeGroupName}" = {
          type = "lvm_vg";
          lvs = {
            "${rootLvName}" = {
              size = "100%";
              content = {
                type = "filesystem";
                format = "ext4";
                mountpoint = "/";
                mountOptions = [ "defaults" ];
              };
            };
          };
        };
      };
    };
}
